curl --request POST \
--url 'https://api.adside.ai/google-ads/mcp#create_asset_group' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "<string>",
"method": "<string>",
"params": {
"name": "<string>",
"arguments": {
"campaign_id": "<string>",
"name": "<string>",
"final_urls": [
"<string>"
],
"customer_id": "<string>",
"final_mobile_urls": [
"<string>"
],
"path1": "<string>",
"path2": "<string>",
"status": "PAUSED"
}
},
"id": "1"
}
'{
"jsonrpc": "<string>",
"id": "<string>",
"result": {
"content": [
{
"type": "<string>",
"text": "<string>"
}
]
}
}Create an asset group for a Performance Max campaign. Google’s AI assembles ads from the assets in each group.
curl --request POST \
--url 'https://api.adside.ai/google-ads/mcp#create_asset_group' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "<string>",
"method": "<string>",
"params": {
"name": "<string>",
"arguments": {
"campaign_id": "<string>",
"name": "<string>",
"final_urls": [
"<string>"
],
"customer_id": "<string>",
"final_mobile_urls": [
"<string>"
],
"path1": "<string>",
"path2": "<string>",
"status": "PAUSED"
}
},
"id": "1"
}
'{
"jsonrpc": "<string>",
"id": "<string>",
"result": {
"content": [
{
"type": "<string>",
"text": "<string>"
}
]
}
}API key (sk_live_*) — SHA256 hashed, looked up in Redis. Generate via the web app's workspace settings.